<form class="card" [formGroup]="form" (ngSubmit)="submit()">
   <div class="alert alert-danger" *ngIf="auth.error$ | async as error">
      {{error}}
   </div>
   <div class="alert alert-danger" *ngIf="massage">{{massage}}</div>
   <h2>Войти в панель администратора</h2>
   <div class="form-control">
      <label for="email">Email</label>
      <input id="email" type="email" formControlName="email">
      <div class="validation" *ngIf="form.controls['email'].invalid && form.controls['email'].touched">
         <small *ngIf="form.controls['email'].errors?.required">введите поле Email</small>
         <small *ngIf="form.controls['email'].errors?.email">введите коррeктный еmail</small>
      </div>
   </div>

   <div class="form-control">
      <label for="password">Password</label>
      <input id="password" type="password" formControlName="password">
      <div class="validation" *ngIf="form.controls['password'].invalid && form.controls['password'].touched">
         <small *ngIf="form.controls['password'].errors?.required">введите поле пароль</small>
         <small *ngIf="form.controls['password'].errors?.minlength">Пароль должен быть не менее
            {{form.controls['password'].errors?.minlength.requiredLength}} символв.
            Сейчас он: {{form.controls['password'].errors?.minlength.actualLength}}
         </small>
      </div>
   </div>
   <button type="submit" class="btn btn-primary" [disabled]="form.invalid || submitted">Войти</button>
</form>